package positive.Stuff;

import java.awt.geom.Point2D;

public class PEnemyBullet 
{
	public final Point2D.Double startPosition;
	public final double startTurn;
	public final double heading;
	public final double velocity;
	public PEnemyBullet(Point2D.Double startPositionArg,
			long startTurnArg,double headingArg,double velocityArg)
	{
		startPosition = startPositionArg;
		startTurn = startTurnArg;
		heading = headingArg;
		velocity = velocityArg;
	}
	public Point2D.Double getPosition(double turn)
	{
		return Utils.PosDistHeadToPosition(startPosition,velocity*(turn-startTurn),heading);
	}
}
